<?php

require '../../../library/spread_sheet_despliegue/vendor/autoload.php';



$_Clausula_Fk=!empty($_REQUEST['_Clausula_Fk'])?$_REQUEST['_Clausula_Fk']:'';

$_IdFk=!empty($_REQUEST['_IdFk'])?$_REQUEST['_IdFk']:'';

// Crear un nuevo objeto Spreadsheet

use PhpOffice\PhpSpreadsheet\Spreadsheet;

use PhpOffice\PhpSpreadsheet\Writer\Xls;

require '../../../odbconexion/variables_config.php';

// Conecta a la base de datos MySQL



$conn = new mysqli($host,$username,$password,$database);



if ($conn->connect_error) {

    die("Conexión fallida: " . $conn->connect_error);

}



// Consulta los datos de MySQL

$query = "SELECT * FROM catalogo_esquema_crediticio";

if($_Clausula_Fk!='' && $_IdFk!=''){

    $query.=" WHERE $_Clausula_Fk=$_IdFk";

}

$result = $conn->query($query);

$conn->close();



$spreadsheet = new Spreadsheet();

$worksheet = $spreadsheet->getActiveSheet();



// Agregar títulos de columna

$col = 'A';

$row = 1;

while ($field = $result->fetch_field()) {

    $worksheet->setCellValue($col . $row, str_replace('_',' ',$field->name));

    $col++;

}



// Llenar la hoja de cálculo con datos

$row = 2;

while ($row_data = $result->fetch_assoc()) {

    $col = 'A';

    foreach ($row_data as $value) {

        $worksheet->setCellValue($col . $row, $value);

        $col++;

    }

    $row++;

}





$worksheet->setTitle(strtoupper(str_replace("_", " ", "catalogo_esquema_crediticio")));

// Crear un objeto de escritura para guardar la hoja de cálculo en formato XLS

$writer = new Xls($spreadsheet);

// Configurar encabezado HTTP para indicar que se va a descargar un archivo XLS

$NombreArchivo="catalogo_esquema_crediticio";

header('Content-Type: application/vnd.ms-excel');

header('Content-Disposition: attachment;filename="'.$NombreArchivo." ".date("Y-m-d").'.xls"');

header('Cache-Control: max-age=0');



// Guardar la hoja de cálculo en la salida del navegador

$writer->save('php://output');

?>

<!DOCTYPE html>

<html lang="es">

<head>

    <meta charset="UTF-8">

    <meta name="viewport" content="width=device-width, initial-scale=1.0">

    <title>Exportar</title>

    <script src="https://code.jquery.com/jquery-3.6.4.min.js"></script>

</head>

<body>



<script>

    // Utilizar jQuery para ejecutar una acción después de la descarga

    $(document).ready(function() {

        // Ejecutar la acción deseada después de la descarga

        alert('Descarga completada.');

         window.close();

    });

</script>



</body>

</html>

